package com.steering.ydm.bc.TmsLoad;

/**
 * 数据库表TMS_WAYBILL_M所对应的实体类（生成工具：代码生成器2.4）
 * @author DESKTOP-SA5N7PS   date 2020-04-28
 */
public class TmsWaybillMEntity {


    public String getNodeCode() {
        return nodeCode;
    }

    public void setNodeCode(String nodeCode) {
        this.nodeCode = nodeCode;
    }

    private  String nodeCode;
    public String getRefeNo() {
        return refeNo;
    }

    public void setRefeNo(String refeNo) {
        this.refeNo = refeNo;
    }

    private  String refeNo;

    public String getLogoNo() {
        return logoNo;
    }

    public void setLogoNo(String logoNo) {
        this.logoNo = logoNo;
    }

    private  String logoNo;

    public String getStartNodeCode() {
        return startNodeCode;
    }

    public void setStartNodeCode(String startNodeCode) {
        this.startNodeCode = startNodeCode;
    }

    private String startNodeCode;


    public String getStartAreaCode() {
        return startAreaCode;
    }

    public void setStartAreaCode(String startAreaCode) {
        this.startAreaCode = startAreaCode;
    }

    private  String startAreaCode;
    /**
     * 装车吊车运单号
     */
    private String craneWaybillNo1;
    /**
     * 卸车吊车运单号
     */
    private String craneWaybillNo2;
    /**
     * 0-正常结束 1- 强制结束
     */
    private String closeType;
    /**
     * 运单号(YD+YYYYMMDD+5位流水)
     */
    private String waybillNo;
    /**
     * 运单描述
     */
    private String waybillDesc;
    /**
     * 运输计划号(运输区分代码2位+YYYYMMDD+5位流水)
     */
    private String plnNo;
    /**
     * 承运人代码
     */
    private String carrierCode;
    /**
     * 承运人名称
     */
    private String carrierName;
    /**
     * 车牌号
     */
    private String carLicense;
    /**
     * 车辆类型代码A01017
     */
    private String carTypeCode;
    /**
     * 车辆类型
     */
    private String carTypeDesc;
    /**
     * 司机代码
     */
    private String driverCode;
    /**
     * 姓名
     */
    private String driverName;
    /**
     * 起运启时间(开始时间)实际时间
     */
    private String transportStartTime;
    /**
     * 起运至时间/实际时间
     */
    private String transportEndTime;
    /**
     * 线路编号
     */
    private String lineCode;
    /**
     * 线路描述
     */
    private String lineDesc;
    /**
     * 是否过磅(0否/1是)
     */
    private String weighingIf;
    /**
     * 数据状态(00无效10创建 20到达装车点 30装车确认 40运输中/作业中  50到达卸货点 60卸货确认/任务完成 70关闭)
     */
    private String validflag;
    /**
     * 审核状态(00待审10审中20通过30退回40拒绝)
     */
    private String status;
    /**
     * 会计年月(YYYYMM)
     */
    private String accountYearMonth;
    /**
     * 归档标志(1归档、0未归档)
     */
    private String archiveFlag;
    /**
     * 归档编号(GD+YYYYYMMDD+3位流水号)
     */
    private String archiveNo;
    /**
     * 归档日期(YYYYMMDD)
     */
    private String archiveDate;
    /**
     * 备注
     */
    private String memo;
    /**
     * 创建人ID
     */
    private String createUserid;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人ID
     */
    private String updateUserid;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 废除人ID
     */
    private String deleteUserid;
    /**
     * 废除人
     */
    private String deleteName;
    /**
     * 废除时间
     */
    private String deleteTime;

    public TmsWaybillMEntity(){
        craneWaybillNo1 = "";
        craneWaybillNo2 = "";
        closeType = "";
        waybillNo = "";
        waybillDesc = "";
        plnNo = "";
        carrierCode = "";
        carrierName = "";
        carLicense = "";
        carTypeCode = "";
        carTypeDesc = "";
        driverCode = "";
        driverName = "";
        transportStartTime = "";
        transportEndTime = "";
        lineCode = "";
        lineDesc = "";
        weighingIf = "";
        validflag = "";
        status = "";
        accountYearMonth = "";
        archiveFlag = "";
        archiveNo = "";
        archiveDate = "";
        memo = "";
        createUserid = "";
        createName = "";
        createTime = "";
        updateUserid = "";
        updateName = "";
        updateTime = "";
        deleteUserid = "";
        deleteName = "";
        deleteTime = "";
    }

    /**
     * 装车吊车运单号
     * @return value
     */
    public String getCraneWaybillNo1() {
        return craneWaybillNo1;
    }

    /**
     * 装车吊车运单号
     * @param craneWaybillNo1 value
     */
    public void setCraneWaybillNo1(String craneWaybillNo1) {
        this.craneWaybillNo1 = craneWaybillNo1;
    }

    /**
     * 卸车吊车运单号
     * @return value
     */
    public String getCraneWaybillNo2() {
        return craneWaybillNo2;
    }

    /**
     * 卸车吊车运单号
     * @param craneWaybillNo2 value
     */
    public void setCraneWaybillNo2(String craneWaybillNo2) {
        this.craneWaybillNo2 = craneWaybillNo2;
    }

    /**
     * 0-正常结束 1- 强制结束
     * @return value
     */
    public String getCloseType() {
        return closeType;
    }

    /**
     * 0-正常结束 1- 强制结束
     * @param closeType value
     */
    public void setCloseType(String closeType) {
        this.closeType = closeType;
    }

    /**
     * 运单号(YD+YYYYMMDD+5位流水)
     * @return value
     */
    public String getWaybillNo() {
        return waybillNo;
    }

    /**
     * 运单号(YD+YYYYMMDD+5位流水)
     * @param waybillNo value
     */
    public void setWaybillNo(String waybillNo) {
        this.waybillNo = waybillNo;
    }

    /**
     * 运单描述
     * @return value
     */
    public String getWaybillDesc() {
        return waybillDesc;
    }

    /**
     * 运单描述
     * @param waybillDesc value
     */
    public void setWaybillDesc(String waybillDesc) {
        this.waybillDesc = waybillDesc;
    }

    /**
     * 运输计划号(运输区分代码2位+YYYYMMDD+5位流水)
     * @return value
     */
    public String getPlnNo() {
        return plnNo;
    }

    /**
     * 运输计划号(运输区分代码2位+YYYYMMDD+5位流水)
     * @param plnNo value
     */
    public void setPlnNo(String plnNo) {
        this.plnNo = plnNo;
    }

    /**
     * 承运人代码
     * @return value
     */
    public String getCarrierCode() {
        return carrierCode;
    }

    /**
     * 承运人代码
     * @param carrierCode value
     */
    public void setCarrierCode(String carrierCode) {
        this.carrierCode = carrierCode;
    }

    /**
     * 承运人名称
     * @return value
     */
    public String getCarrierName() {
        return carrierName;
    }

    /**
     * 承运人名称
     * @param carrierName value
     */
    public void setCarrierName(String carrierName) {
        this.carrierName = carrierName;
    }

    /**
     * 车牌号
     * @return value
     */
    public String getCarLicense() {
        return carLicense;
    }

    /**
     * 车牌号
     * @param carLicense value
     */
    public void setCarLicense(String carLicense) {
        this.carLicense = carLicense;
    }

    /**
     * 车辆类型代码A01017
     * @return value
     */
    public String getCarTypeCode() {
        return carTypeCode;
    }

    /**
     * 车辆类型代码A01017
     * @param carTypeCode value
     */
    public void setCarTypeCode(String carTypeCode) {
        this.carTypeCode = carTypeCode;
    }

    /**
     * 车辆类型
     * @return value
     */
    public String getCarTypeDesc() {
        return carTypeDesc;
    }

    /**
     * 车辆类型
     * @param carTypeDesc value
     */
    public void setCarTypeDesc(String carTypeDesc) {
        this.carTypeDesc = carTypeDesc;
    }

    /**
     * 司机代码
     * @return value
     */
    public String getDriverCode() {
        return driverCode;
    }

    /**
     * 司机代码
     * @param driverCode value
     */
    public void setDriverCode(String driverCode) {
        this.driverCode = driverCode;
    }

    /**
     * 姓名
     * @return value
     */
    public String getDriverName() {
        return driverName;
    }

    /**
     * 姓名
     * @param driverName value
     */
    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    /**
     * 起运启时间(开始时间)实际时间
     * @return value
     */
    public String getTransportStartTime() {
        return transportStartTime;
    }

    /**
     * 起运启时间(开始时间)实际时间
     * @param transportStartTime value
     */
    public void setTransportStartTime(String transportStartTime) {
        this.transportStartTime = transportStartTime;
    }

    /**
     * 起运至时间/实际时间
     * @return value
     */
    public String getTransportEndTime() {
        return transportEndTime;
    }

    /**
     * 起运至时间/实际时间
     * @param transportEndTime value
     */
    public void setTransportEndTime(String transportEndTime) {
        this.transportEndTime = transportEndTime;
    }

    /**
     * 线路编号
     * @return value
     */
    public String getLineCode() {
        return lineCode;
    }

    /**
     * 线路编号
     * @param lineCode value
     */
    public void setLineCode(String lineCode) {
        this.lineCode = lineCode;
    }

    /**
     * 线路描述
     * @return value
     */
    public String getLineDesc() {
        return lineDesc;
    }

    /**
     * 线路描述
     * @param lineDesc value
     */
    public void setLineDesc(String lineDesc) {
        this.lineDesc = lineDesc;
    }

    /**
     * 是否过磅(0否/1是)
     * @return value
     */
    public String getWeighingIf() {
        return weighingIf;
    }

    /**
     * 是否过磅(0否/1是)
     * @param weighingIf value
     */
    public void setWeighingIf(String weighingIf) {
        this.weighingIf = weighingIf;
    }

    /**
     * 数据状态(00无效10创建 20到达装车点 30装车确认 40运输中/作业中  50到达卸货点 60卸货确认/任务完成 70关闭)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 数据状态(00无效10创建 20到达装车点 30装车确认 40运输中/作业中  50到达卸货点 60卸货确认/任务完成 70关闭)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 审核状态(00待审10审中20通过30退回40拒绝)
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 审核状态(00待审10审中20通过30退回40拒绝)
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 会计年月(YYYYMM)
     * @return value
     */
    public String getAccountYearMonth() {
        return accountYearMonth;
    }

    /**
     * 会计年月(YYYYMM)
     * @param accountYearMonth value
     */
    public void setAccountYearMonth(String accountYearMonth) {
        this.accountYearMonth = accountYearMonth;
    }

    /**
     * 归档标志(1归档、0未归档)
     * @return value
     */
    public String getArchiveFlag() {
        return archiveFlag;
    }

    /**
     * 归档标志(1归档、0未归档)
     * @param archiveFlag value
     */
    public void setArchiveFlag(String archiveFlag) {
        this.archiveFlag = archiveFlag;
    }

    /**
     * 归档编号(GD+YYYYYMMDD+3位流水号)
     * @return value
     */
    public String getArchiveNo() {
        return archiveNo;
    }

    /**
     * 归档编号(GD+YYYYYMMDD+3位流水号)
     * @param archiveNo value
     */
    public void setArchiveNo(String archiveNo) {
        this.archiveNo = archiveNo;
    }

    /**
     * 归档日期(YYYYMMDD)
     * @return value
     */
    public String getArchiveDate() {
        return archiveDate;
    }

    /**
     * 归档日期(YYYYMMDD)
     * @param archiveDate value
     */
    public void setArchiveDate(String archiveDate) {
        this.archiveDate = archiveDate;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人ID
     * @return value
     */
    public String getCreateUserid() {
        return createUserid;
    }

    /**
     * 创建人ID
     * @param createUserid value
     */
    public void setCreateUserid(String createUserid) {
        this.createUserid = createUserid;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人ID
     * @return value
     */
    public String getUpdateUserid() {
        return updateUserid;
    }

    /**
     * 修改人ID
     * @param updateUserid value
     */
    public void setUpdateUserid(String updateUserid) {
        this.updateUserid = updateUserid;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 废除人ID
     * @return value
     */
    public String getDeleteUserid() {
        return deleteUserid;
    }

    /**
     * 废除人ID
     * @param deleteUserid value
     */
    public void setDeleteUserid(String deleteUserid) {
        this.deleteUserid = deleteUserid;
    }

    /**
     * 废除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 废除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 废除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 废除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }
}